
Redmine - Feature #41748

Optimize font loading by replacing variable fonts with specific weights for Noto Sans

2024-11-14 05:38 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed   

Description

The attached patch aims to improve font loading performance by replacing the Noto Sans variable font files with fixed-weight font

files.

This change reduces the total font file size from 2.1MB to 880KB, which is expected to shorten download times.

Since Redmine's CSS only uses two font weights, normal and bold, the variable fonts are not necessary.

Related issues:

Related to Redmine - Feature #41321: Improve readability by refining font siz... Closed

Related to Redmine - Defect #41744: flickering of the top menu on page refresh Closed

Related to Redmine - Defect #42644: Noto Sans fonts are not applied on Wiki s... Resolved

Associated revisions

Revision 23275 - 2024-11-15 01:50 - Go MAEDA

Optimize font loading by replacing variable fonts with specific weights for Noto Sans (#41748).

Patch by Go MAEDA (user:maeda).

Revision 23278 - 2024-11-16 02:23 - Go MAEDA

Merged r23275 from trunk to 6.0-stable (#41748).

History

#1 - 2024-11-14 05:38 - Go MAEDA

- Related to Feature #41321: Improve readability by refining font sizes and switching to Noto Sans font added

#2 - 2024-11-14 05:47 - Go MAEDA

Before:

Filename Size

NotoSans-VariableFont_wdth,wght.woff2 1.0MB

NotoSans-Italic-VariableFont_wdth,wght.woff2 1.1MB

After:

Filename Size

NotoSans-Regular.woff2 210KB

NotoSans-Bold.woff2 217KB

NotoSans-Italic.woff2 215KB

NotoSans-BoldItalic.woff2 220KB

#3 - 2024-11-14 05:48 - Go MAEDA

- Target version set to Candidate for next minor release
#4 - 2024-11-14 05:50 - Go MAEDA

- Related to Defect #41744: flickering of the top menu on page refresh added

#5 - 2024-11-14 10:39 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.2

Setting the target version to 6.0.2.

#6 - 2024-11-15 01:50 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the change in r23275.

#7 - 2024-11-15 03:22 - Go MAEDA

- Category changed from Performance to UI

#8 - 2024-11-16 02:24 - Go MAEDA

- Status changed from Resolved to Closed

Merged the change into the 6.0-stable branch in r23278.

#9 - 2025-04-27 17:44 - Georg P

Hi,

is it possible the app/assets/stylesheets/wiki_syntax.css still needs updating with the new paths as well?

#10 - 2025-04-28 05:09 - Go MAEDA

Georg P wrote in #note-9:

is it possible the app/assets/stylesheets/wiki_syntax.css still needs updating with the new paths as well?

 Thank you for reporting the problem. Since this issue is already closed, I have opened a new issue: #42644.

#11 - 2025-04-28 05:09 - Go MAEDA

- Related to Defect #42644: Noto Sans fonts are not applied on Wiki syntax help pages added

#12 - 2025-04-29 01:15 - Georg P

Thank you!

Files

0001-Optimize-font-loading-by-replacing-variable-fonts-wi.patch 3.77 MB 2024-11-14 Go MAEDA
